textures/bbq/rommelsky
{
	qer_editorimage textures/bbq/rommelsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .9 .8 40 40 70
// note: Change the fourth value if you want a brighter or dimmer sun
	skyparms env/rommel - -
}


textures/bbq/towertop
{
	qer_editor_image textures/bbq/towertop.tga
//	qer_trans 0.40
//	cull disable
//	surfaceParm nolightmap
	cull none
	{
		map textures/bbq/towertop.tga
		alphaFunc GE128
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/bbq/barbedwire
{
	qer_editor_image textures/bbq/barbedwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/bbq/barbedwire.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/razorwire
{
	qer_editor_image textures/bbq/razorwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/bbq/razorwire.tga
		alphaFunc GE128
	}
}

textures/bbq/ladderclip
{
	  qer_editor_image textures/bbq/ladderclip.tga        
	  qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/bbq/01_handrail
{
	qer_editor_image textures/bbq/01_handrail.tga
	qer_trans 0.40
	surfaceParm nolightmap
	nopicmip
	cull disable
	
	{
		map textures/bbq/01_handrail.tga
		alphaFunc GE128
	}
}

textures/bbq/01_windowrail
{
	qer_editor_image textures/bbq/01_windowrail.tga
	qer_trans 0.40	
	surfaceParm nolightmap
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/01_windowrail.tga
		alphaFunc GE128
	}
}

textures/bbq/curtain01
{
	qer_editorimage textures/bbq/curtain01.tga
	cull disable
	surfaceparm noimpact
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/bbq/curtain01.tga
	}
}

textures/bbq/door_white
{
qer_editorimage textures/bbq/doorwhite.tga
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/bbq/doorwhite.tga
	alphaFunc GE128
}
	
{
	map $lightmap 
	rgbGen identity 
	blendFunc filter
}
} 

textures/bbq/04_window
{
qer_editorimage textures/bbq/04_window.tga
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/bbq/04_window.tga
	alphaFunc GE128
}
	
{
	map $lightmap 
	rgbGen identity 
	blendFunc filter
}
} 

textures/bbq/07_water
{
	qer_editorimage textures/bbq/07_water.tga
	surfaceparm nonsolid
	surfaceparm trans
	q3map_globaltexture
//	surfaceParm nolightmap - Can't use nolightmap if you want shadows on it
	surfaceparm water

	cull disable
	TessSize 512
	deformVertexes wave 450 sin 2 2 2 .6
	deformVertexes normal .7 .2		
	{ 
		map textures/bbq/07_water_1.jpg
		tcMod scroll 0 .2
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/bbq/dark
{
	qer_editor_image textures/bbq/black.jpg
	cull disable
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid
	surfaceparm water
	surfaceparm trans

	{
		map textures/bbq/black.jpg
	}
}

textures/bbq/02_metal
{
	qer_editor_image textures/urban_terror/clang_floor.tga
	surfaceParm metalsteps
	{
		map textures/urban_terror/clang_floor.tga
	}
}


textures/bbq/water01
{
	qer_editorimage textures/bbq/water01.tga
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	TessSize 256
	deformVertexes wave 256 sin 1 1 1 .25

	{ 
		map textures/bbq/water02.tga
		tcMod scroll 0 .02
		tcMod turb .1 .02 0 -.1
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	      rgbGen wave sin .25 0 0 0
		blendfunc add
	}
	{ 
		map textures/bbq/water02.tga
		tcMod scroll 0 .035
		tcMod turb .1 .03 0 -.1
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
	}
}


textures/bbq/waterfog
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( .6 .48 .4 ) 180
}

textures/bbq/spiderweb
{
	qer_editor_image textures/bbq/spiderweb.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/spiderweb.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/venice_water
{
	qer_editorimage textures/bbq/venice_water.tga
//	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/bbq/venice_water.tga
		tcMod turb 0.2 0.2 0.2 .2 
	}

	{
		map textures/bbq/venice_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}	

//	{
//		map $lightmap
//		blendfunc gl_dst_color gl_src_color
//	}
}

textures/bbq/debri01
{
        qer_editorimage textures/bbq/debri01.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/debri01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes01
{
        qer_editorimage textures/bbq/bushes01.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes02
{
        qer_editorimage textures/bbq/bushes02.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bbq/bushes03
{
        qer_editorimage textures/bbq/bushes03.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/bbq/bushes03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/bbq/FoamySeaWater
{
	qer_editorimage textures/bbq/FoamySeaWater.tga
//	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/bbq/FoamySeaWater.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}

//	{
//		map textures/bbq/FoamySeaWater.tga
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod turb 0 0.1 1 .1
//	}	

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}

textures/liquids/clear_ripple3
	{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/bbq/dirt05
{
	q3map_nonplanar 
	q3map_shadeAngle 179
	{
		map textures/bbq/dirt05.tga
		rgbGen identity
	}

	{ 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
} 

textures/bbq/dirt05gras
{
	q3map_nonplanar 
	q3map_shadeAngle 179
	{
		map textures/bbq/dirt05gras.tga
		rgbGen identity
	}

	{ 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
} 